Subject: BUG-report
From: [email-masked] (Jean-Philippe Chancelier)

30 Oct 1996 02:59:20 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Sender: [email-masked]

I have detected the following bugs in gc-win32 b16 ( on a PC/ windows95)
==========================================================================
[1] netinet/in.h  includes <cygwin32/in.h> which tries to include
<cygwin32/types.h> which does not exists 
	changing <cygwin32/types.h> to <sys/types.h> was enough to
	compile the files that I wanted to compile ( the xdr library )
	==> but It's certainly not the good way to fic that bug 

[2] gdb doesn't work properly with b16 ( the line sources are not
	displayed correctly ). I had no problem in the past with gdb b14 

[3] the extensions : windows32api-0.1.2.tar.gz 
	which were working properly with b14, need to be adapted to 
	b16 due to the change of predefined cpp ``macros''
	I have added #define __WIN32__ 
	in the windows.h file of windows32api-0.1.2.tar.gz 
	in order to compile my application with b16 

[4] I have a program with two modes selected with a calling argument 
	myprog -nw and myprog 
	myprog opens a new Window 95 window and the interaction is in
		that window 
	myprog -nw ( now window ) just interacts in the bash window 
		from which i execute the command : myprog -nw 

	It was working with b14 nut the myprog -nw 
	doesn't work any more with b16 : it hangs in a getc(stdin) function. 
	If I just write a small program with getc(stdin) it works
	perfectly. 
	I need help for that 
==========================================================================

Jean-Philippe Chancelier 

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".